*, *::after, *::before {
    box-sizing: border-box;
}
* {
    font-family: Arial, Helvetica, sans-serif;
    font-size: large;
}

.modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) scale(0);
    transition: 200ms ease-in-out;
    border: 4px solid #111;
    border-radius: 10px;
    z-index: 100;
    background-color: white;
    width: 50vw;
    height: auto;
}

.modal.active {
    transform: translate(-50%,-50%) scale(1);
    transition: 200ms ease-in-out;
}

.modal-header {
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 2px solid #111;
}

.modal-header .title {
    font-size: larger;
    font-weight: bold;
}

.modal-header .close-button {
    cursor: pointer;
    border: none;
    outline: none;
    background: none;
    font-size: x-large;
    font-weight: bold;
}

.modal-header .close-button:focus {
    outline: 2px solid red;
}

.modal-body {
    padding: 10px;
    /*box-shadow: #111;*/
}

#overlay {
    position: fixed;
    opacity: 0;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba(0,0,0,0.5);
    pointer-events: none;
}

#overlay.active {
    opacity: 1;
    pointer-events: all;
}
